### Class

# GtkSource Mark

#### Description [src]

    class GtkSource.Mark : Gtk.TextMark
    {
      /* No available fields */
    }

Mark object for `GtkSourceBuffer`.

A `GtkSourceMark` marks a position in the text where you want to display additional info. It is based on `GtkTextMark` and thus is still valid after the text has changed though its position may change.

`GtkSourceMark`s are organized in categories which you have to set when you create the mark. Each category can have a priority, a pixbuf and other associated attributes. See `gtk_source_view_set_mark_attributes()`. The pixbuf will be displayed in the margin at the line where the mark residents if the `GtkSourceView:show-line-marks` property is set to `TRUE`. If there are multiple marks in the same line, the pixbufs will be drawn on top of each other. The mark with the highest priority will be drawn on top.

#### Ancestors

- GtkTextMark
- GObject

#### Constructors

###### gtk_source_mark_new

Creates a text mark.

#### Instance methods

###### gtk_source_mark_get_category

Returns the mark category.

###### gtk_source_mark_next

Returns the next `GtkSourceMark` in the buffer or `NULL` if the mark was not added to a buffer.

###### gtk_source_mark_prev

Returns the previous `GtkSourceMark` in the buffer or `NULL` if the mark was not added to a buffer.

##### Methods inherited from GtkTextMark (6)

###### gtk_text_mark_get_buffer

Gets the buffer this mark is located inside.

###### gtk_text_mark_get_deleted

Returns `TRUE` if the mark has been removed from its buffer.

###### gtk_text_mark_get_left_gravity

Determines whether the mark has left gravity.

###### gtk_text_mark_get_name

Returns the mark name.

###### gtk_text_mark_get_visible

Returns `TRUE` if the mark is visible.

###### gtk_text_mark_set_visible

Sets the visibility of `mark`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GtkSource.Mark:category

The category of the `GtkSourceMark`, classifies the mark and controls which pixbuf is used and with which priority it is drawn.

##### Properties inherited from GtkTextMark (2)

###### Gtk.TextMark:left-gravity

Whether the mark has left gravity.

###### Gtk.TextMark:name

The name of the mark or `NULL` if the mark is anonymous.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceMarkClass {
      GtkTextMarkClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkTextMarkClass`

  No description available.